
list(APPEND website_generator_LIB_INCLUDES 
    ContentFile.h
    ContentFile.cpp
    ContentPage.h
    ContentPage.cpp
    MarkdownContentParser.h
    MarkdownContentParser.cpp
    SiteGeneratorConfig.h
    SiteGeneratorConfig.cpp
    WebsiteGenerator.h
    WebsiteGenerator.cpp
    )


add_executable(website_generator main.cpp ${website_generator_LIB_INCLUDES})

target_include_directories(website_generator PUBLIC
                         ${CMAKE_CURRENT_SOURCE_DIR}
                          )

target_link_libraries(website_generator PUBLIC core web compiler)

set_property(TARGET website_generator PROPERTY FOLDER apps/website-generator)

